Package generic

# Interface Span.Empty<N,S extends Span<N,S>>

Type Parameters:
  `N` - the type of endpoints
  `S` - the type of spans

All Superinterfaces:
  `Comparable<S>`, `Span<N,S>`

All Known Implementing Classes:
  `FieldSpan.Empty`, `KeySpan.Empty`, `Lifespan.Empty`, `ULongSpan.Empty`

Enclosing interface:
  `Span<N,S extends Span<N,S>>`

public static interface Span.Empty<N,S extends Span<N,S>> extends Span<N,S>
A mix-in interface for empty spans

Implementation Notes:
  It is recommended to implement this as a singleton class

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface generic.Span

  `Span.DefaultSpanMap<N,S extends Span<N,S>,V>, Span.DefaultSpanSet<N,S extends Span<N,S>>, Span.Domain<N,S extends Span<N,S>>, Span.Empty<N,S extends Span<N,S>>, Span.MutableSpanMap<N,S extends Span<N,S>,V>, Span.MutableSpanSet<N,S extends Span<N,S>>, Span.SpanMap<N,S extends Span<N,S>,V>, Span.SpanMapSetter<E,N,S extends Span<N,S>,V>, Span.SpanSet<N,S extends Span<N,S>>`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default boolean`
  `contains(N c)`
  Check if this span contains the given value
  `default boolean`
  `isEmpty()`
  Check if this span is empty
  `default N`
  `max()`
  Get the upper endpoint
  `default N`
  `min()`
  Get the lower enpdoint

  ### Methods inherited from interface generic.Span

  `bound, compareTo, domain, encloses, intersect, intersects, maxIsFinite, minIsFinite, subtract, toString`

- ## Method Details

  - ### min

    default N min()
    Description copied from interface: `Span`
    Get the lower enpdoint
    Specified by:
      `min` in interface `Span<N,S extends Span<N,S>>`
    Returns:
      the lower endpoint
    See Also:
      - `Span.isEmpty()`

  - ### max

    default N max()
    Description copied from interface: `Span`
    Get the upper endpoint
    Specified by:
      `max` in interface `Span<N,S extends Span<N,S>>`
    Returns:
      the upper endpoint
    See Also:
      - `Span.isEmpty()`

  - ### isEmpty

    default boolean isEmpty()
    Description copied from interface: `Span`
    Check if this span is empty
    Specified by:
      `isEmpty` in interface `Span<N,S extends Span<N,S>>`
    Returns:
      true if empty

  - ### contains

    default boolean contains(N c)
    Description copied from interface: `Span`
    Check if this span contains the given value
    Specified by:
      `contains` in interface `Span<N,S extends Span<N,S>>`
    Parameters:
      `c` - the value
    Returns:
      true if n is contained in this span